Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [Opgelost] LISP installeren in Ubuntu  (gelezen 838 keer)

Offline Joshua822

  • Documentatieteam
  • Steunpunt: Nee
[Opgelost] LISP installeren in Ubuntu
« Gepost op: 2011/01/05, 21:01:14 »
Hallo allemaal!

Ik wil eens wat ervaring opdoen met Common LISP. Maar ik kom er niet meer uit: wat moet ik nu eigenlijk allemaal installeren?

Emacs ( de editor die het meest gebruikt lijkt te worden voor Common LISP ) heb ik al. Maar nu moet ik ook nog een LISP-interpreter hebben, maar er zijn er zoveel! Welke kan ik het best nemen voor gebruik in Ubuntu?

En dan is het natuurlijk nog onduidelijk voor mij hoe ik de LISP-interpreter aan Emacs moet koppelen. Weet iemand ook hoe dat moet?

Ik zou wel graag zelf zoeken, maar ik kom er zelf echt niet uit. Common LISP is al oud, en daarom denk ik dat de meeste informatie geschreven is voor mensen die al ooit met Common LISP gewerkt hebben. Voor beginners is het echt een doolhof.

Alvast bedankt voor de hulp! :)
« Laatst bewerkt op: 2011/01/06, 16:10:45 door Joshua822 »

Offline SeySayux

  • Lid
    • SeySayux.net
  • Steunpunt: Nee
Re: LISP installeren in Ubuntu
« Reactie #1 Gepost op: 2011/01/06, 09:25:59 »
clisp is de lisp-interpreter van gnu: http://www.gnu.org/software/clisp/
dan heb je ook nog slime nodig om het met (brr....) emacs te doen werken: http://common-lisp.net/project/slime/

brrr.... emacs....

*kuch*vi ftw*kuch*
I use a Unix-based system, that means I'll get laid as often as I have to reboot.
LibSylph
SeySayux.net

Offline Joshua822

  • Documentatieteam
  • Steunpunt: Nee
Re: LISP installeren in Ubuntu
« Reactie #2 Gepost op: 2011/01/06, 16:10:32 »
Bedankt voor de informatie! Hier kan ik mee verder komen.

En alsjeblieft, maak van dit draadje geen oorlog over of Vi of Emacs nu beter is of niet. Iedereen heeft vast wel een reden om de één boven de ander te prefereren. Ik ga gewoon met Emacs werken, want daar ben ik meer mee vertrouwd door mijn oude experimenten met Debian en Ubuntu blokkendozen.